Subject: coreutils: /bin/dd throws a sig fault in mutex_optimistic_spin+0x164/0x1b0

From: Dennis Clarke <[email-masked]>
Date: Tue, 28 Aug 2018 21:02:51 +0000

Package: coreutils
Version: 8.26-3
Severity: normal

Dear Maintainer,

*** Reporter, please consider answering these questions, where appropriate ***

   * What led up to the situation?

      Attempt to kill -9 $pid for a process running dd 

   * What exactly did you do (or not do) that was effective (or
     ineffective)?

      Could not kill the process as it seemed hung. 
      I pulled the USB memory stick out of the machine.

   * What was the outcome of this action?

      At some point later the process died as "killed" and 
      the shell prompt was visible.

   * What outcome did you expect instead?

      Expect a normal process to stop when CTRL-C or a kill -9 is 
      issued. 

Other information : 

[694328.800840] usb-storage 1-8:1.0: USB Mass Storage device detected
[694328.801128] scsi host4: usb-storage 1-8:1.0
[694328.801428] usbcore: registered new interface driver usb-storage
[694328.805712] usbcore: registered new interface driver uas
[694329.827892] scsi 4:0:0:0: Direct-Access     SanDisk  Cruzer Micro     0.1  PQ: 0 ANSI: 2
[694329.828724] sd 4:0:0:0: Attached scsi generic sg4 type 0
[694329.831605] sd 4:0:0:0: [sde] 3911679 512-byte logical blocks: (2.00 GB/1.86 GiB)
[694329.831791] sd 4:0:0:0: [sde] Write Protect is off
[694329.831800] sd 4:0:0:0: [sde] Mode Sense: 03 00 00 00
[694329.831979] sd 4:0:0:0: [sde] No Caching mode page found
[694329.831985] sd 4:0:0:0: [sde] Assuming drive cache: write through
[694329.837463]  sde: sde1
[694329.838365] sd 4:0:0:0: [sde] Attached SCSI removable disk
[694675.048650] INFO: task systemd-udevd:226 blocked for more than 120 seconds.
[694675.048660]       Tainted: P           O    4.9.0-7-amd64 #1 Debian 4.9.110-3+deb9u2
[694675.048663] "echo 0 > /proc/sys/kernel/hung_task_timeout_secs" disables this message.
[694675.048668] systemd-udevd   D    0   226      1 0x00000104
[694675.048677]  ffff98a79f4cf400 ffff98a74a50f400 ffff98a7a327af00 ffff98a7b6c18980
[694675.048686]  ffff98a71e5c4fc0 ffffb066c1d1fb68 ffffffffb3e0fed9 ffffffffb3e103c2
[694675.048694]  0000000000000000 ffff98a7b6c18980 ffffffffb38c2df4 ffff98a7a327af00
[694675.048702] Call Trace:
[694675.048716]  [<ffffffffb3e0fed9>] ? __schedule+0x239/0x6f0
[694675.048724]  [<ffffffffb3e103c2>] ? schedule+0x32/0x80
[694675.048734]  [<ffffffffb38c2df4>] ? mutex_optimistic_spin+0x164/0x1b0
[694675.048741]  [<ffffffffb3e103c2>] ? schedule+0x32/0x80
[694675.048749]  [<ffffffffb3e1066a>] ? schedule_preempt_disabled+0xa/0x10
[694675.048757]  [<ffffffffb3e120c4>] ? __mutex_lock_slowpath+0xb4/0x130
[694675.048766]  [<ffffffffb3e1215b>] ? mutex_lock+0x1b/0x30
[694675.048775]  [<ffffffffb3a4468a>] ? __blkdev_get+0x6a/0x410
[694675.048783]  [<ffffffffb3a44c96>] ? blkdev_get+0x126/0x330
[694675.048791]  [<ffffffffb3a44ee0>] ? blkdev_get_by_dev+0x40/0x40
[694675.048798]  [<ffffffffb3a04cdb>] ? do_dentry_open+0x1fb/0x300
[694675.048807]  [<ffffffffb3a16a73>] ? path_openat+0x6a3/0x14f0
[694675.048815]  [<ffffffffb3b3c8b3>] ? vsnprintf+0xf3/0x4f0
[694675.048821]  [<ffffffffb3a18b81>] ? do_filp_open+0x91/0x100
[694675.048829]  [<ffffffffb3929e44>] ? __seccomp_filter+0x74/0x270
[694675.048835]  [<ffffffffb3b3953e>] ? memzero_explicit+0xe/0x10
[694675.048842]  [<ffffffffb3a039da>] ? __check_object_size+0xfa/0x1d8
[694675.048849]  [<ffffffffb3a0620e>] ? do_sys_open+0x12e/0x210
[694675.048857]  [<ffffffffb3803b7d>] ? do_syscall_64+0x8d/0xf0
[694675.048863]  [<ffffffffb3e14c4e>] ? entry_SYSCALL_64_after_swapgs+0x58/0xc6
[694719.825638] usb 1-8: USB disconnect, device number 27
[694719.836400] sd 4:0:0:0: [sde] tag#0 FAILED Result: hostbyte=DID_NO_CONNECT driverbyte=DRIVER_OK
[694719.836404] sd 4:0:0:0: [sde] tag#0 CDB: Write(10) 2a 00 00 2a 59 58 00 00 f0 00
[694719.836406] blk_update_request: I/O error, dev sde, sector 2775384
[694719.836407] Buffer I/O error on dev sde, logical block 2775384, lost async page write
[694719.836409] Buffer I/O error on dev sde, logical block 2775385, lost async page write
[694719.836410] Buffer I/O error on dev sde, logical block 2775386, lost async page write
[694719.836411] Buffer I/O error on dev sde, logical block 2775387, lost async page write
[694719.836412] Buffer I/O error on dev sde, logical block 2775388, lost async page write
[694719.836413] Buffer I/O error on dev sde, logical block 2775389, lost async page write
[694719.836414] Buffer I/O error on dev sde, logical block 2775390, lost async page write
[694719.836415] Buffer I/O error on dev sde, logical block 2775391, lost async page write
[694719.836417] Buffer I/O error on dev sde, logical block 2775392, lost async page write
[694719.836418] Buffer I/O error on dev sde, logical block 2775393, lost async page write

*** End of the template - remove these template lines ***

-- System Information:
Debian Release: 9.5
  APT prefers stable-updates
  APT policy: (500, 'stable-updates'), (500, 'stable')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 4.9.0-7-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8), LANGUAGE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: systemd (via /run/systemd/system)

Versions of packages coreutils depends on:
ii  libacl1      2.2.52-3+b1
ii  libattr1     1:2.4.47-2+b2
ii  libc6        2.24-11+deb9u3
ii  libselinux1  2.6-3+b3

coreutils recommends no packages.

coreutils suggests no packages.

-- no debconf information